<?php

namespace App\Entities;

class BoardEntity extends BaseHierarchyEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    //기본기능
    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getTitle(): string
    {
        return $this->attributes['title'];
    }
    public function getStatus(): string
    {
        return $this->attributes['status'];
    }

    //추가기능
    public function getPassword()
    {
        return $this->attributes['passwd'];
    }
    public function getViews()
    {
        return $this->attributes['view_cnt'];
    }
    public function getUser_Uid()
    {
        return $this->attributes['user_uid'];
    }
}
